
Infrastructure - Task #4223

Story # 3736 (Rejected): CN Consistency Check and CN Recovery

Implement the Metacat DAO layer for accessing/updating systemmetadata

2014-01-08 16:10 - Chris Jones

Status: Closed Start date: 2014-01-08

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_replication_auditor Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Implement the stubbed out classes found in

src/main/java/org/dataone/cn/audit/sql/

├── DatabaseManager.java

├── dao

│   ├── SystemMetadataManager.java

│   └── impl

│       └── MetacatSystemMetadataManager.java

└── impl

└── MetacatDatabaseManager.java

Define the get and update interfaces in SystemMetadataManager, and implement them in MetacatSystemMetadataManager.  Define

the database connection interface in DatabaseManager, and implement them in MetacatDatabaseManager.

Related issues:

Related to Infrastructure - Task #4234: Refactor Metacat DAO to use bulk data... Closed 2014-01-24

Associated revisions

Revision 37d6163d - 2014-01-13 01:45 - Chris Jones

Implement hasMapping() and createMapping() for use under audit and repair only.  refs #4223

Revision 13150 - 2014-01-13 01:45 - Chris Jones

Implement hasMapping() and createMapping() for use under audit and repair only.  refs #4223

Revision 13150 - 2014-01-13 01:45 - Chris Jones

Implement hasMapping() and createMapping() for use under audit and repair only.  refs #4223

Revision 13150 - 2014-01-13 01:45 - Chris Jones

Implement hasMapping() and createMapping() for use under audit and repair only.  refs #4223

Revision 13150 - 2014-01-13 01:45 - Chris Jones

Implement hasMapping() and createMapping() for use under audit and repair only.  refs #4223

History

#1 - 2014-03-14 17:43 - Robert Waltz

- Target version deleted (2014.2-Block.1.1)

#2 - 2014-07-30 03:24 - Robert Waltz

- Status changed from In Progress to Closed
- translation missing: en.field_remaining_hours set to 0.0
